List Bills

Required permission: read_bills

Get a list of bills for your organization or client (Clients can only view approved bills).

Query Params
boolean

Whether to filter by approved bills

string
enum

The field to sort the bills by

Allowed:
integer
1 to 100
Defaults to 25

The maximum number of items to return in the response. Used for pagination. Must be between 1 and 100.

integer
≥ 0
Defaults to 0

The number of items to skip before starting to return results. Used for offset-based pagination. Cannot be used together with the cursor parameter.

string

A cursor for pagination. Use the next_cursor value from a previous response to fetch the next page of results. This provides more efficient pagination than offset-based pagination, especially for large datasets. Cannot be used together with the offset parameter.

string
enum
Defaults to asc

Specifies the sort direction of the returned items:

  • asc: Ascending order. For dates, this means from oldest to newest. For numbers, this means from smallest to largest.
  • desc: Descending order. For dates, this means from newest to oldest. For numbers, this means from largest to smallest.
Allowed:
string

A value to search for within the items. The specific fields searched depend on the endpoint.

integer
≥ 1

Only applicable for organizations. Filters items by the specified client_id, provided the client_id belongs to the organization. Note: API keys can belong to either client level or organization level.

date-time

Filters items by the specified created_at start date.

date-time

Filters items by the specified created_at end date.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json